document.addEventListener("DOMContentLoaded", function() {
    document.getElementById("card-html").addEventListener("click", function() {
        document.getElementById("seleccion-actividades").style.display = "none";
        document.getElementById("actividad-html").style.display = "block";
    });

    document.getElementById("card-h5p").addEventListener("click", function() {
        document.getElementById("seleccion-actividades").style.display = "none";
        document.getElementById("actividad-h5p").style.display = "block";
    });

    document.getElementById("card-wordwall").addEventListener("click", function() {
        document.getElementById("seleccion-actividades").style.display = "none";
        document.getElementById("actividad-wordwall").style.display = "block";
        loadWordWallActivity();
    });

     document.getElementById("card-html_1").addEventListener("click", function() {
        document.getElementById("seleccion-actividades").style.display = "none";
        document.getElementById("actividad-html_1").style.display = "block";
    });

    document.getElementById("back-html").addEventListener("click", function() {
        document.getElementById("actividad-html").style.display = "none";
        document.getElementById("seleccion-actividades").style.display = "flex";
    });

    document.getElementById("back-h5p").addEventListener("click", function() {
        document.getElementById("actividad-h5p").style.display = "none";
        document.getElementById("seleccion-actividades").style.display = "flex";
    });

    document.getElementById("back-wordwall").addEventListener("click", function() {
        document.getElementById("actividad-wordwall").style.display = "none";
        document.getElementById("seleccion-actividades").style.display = "flex";
    });

     document.getElementById("back-html_1").addEventListener("click", function() {
        document.getElementById("actividad-html_1").style.display = "none";
        document.getElementById("seleccion-actividades").style.display = "flex";
    });

    document.getElementById("verificar").addEventListener("click", function() {
        verificar();
        document.getElementById("verificar").style.display = "none";
        document.getElementById("reiniciar").style.display = "inline-block";
    });

    document.getElementById("reiniciar").addEventListener("click", function() {
        reiniciar();
        document.getElementById("verificar").style.display = "inline-block";
        document.getElementById("reiniciar").style.display = "none";
    });
});

function loadWordWallActivity() {
    const iframe = document.querySelector("#actividad-wordwall iframe");
    iframe.src = iframe.src; // Reload the iframe by resetting the src attribute
}

function verificar() {
    const respuestasCorrectas = {
        q1: "Facebook",
        q2: "Twitter",
        q3: "Instagram",
        q4: "YouTube",
        q5: "TikTok"
    };

    let puntaje = 0;
    
    for (let i = 1; i <= 5; i++) {
        let seleccion = document.getElementById("q" + i).value;
        let elemento = document.getElementById("q" + i).parentElement;
        
        if (seleccion === respuestasCorrectas["q" + i]) {
            elemento.style.background = "#d4edda"; // Verde claro
            elemento.style.border = "2px solid green";
            puntaje++;
            document.getElementById("audioCorrecto").play();
        } else {
            elemento.style.background = "#f8d7da"; // Rojo claro
            elemento.style.border = "2px solid red";
            document.getElementById("audioIncorrecto").play();
        }
    }

    document.getElementById("puntaje").innerHTML = `🎯 Puntuación: ${puntaje} / 5`;
}

function reiniciar() {
    for (let i = 1; i <= 5; i++) {
        let elemento = document.getElementById("q" + i).parentElement;
        elemento.style.background = "#f9f9f9"; // Fondo original
        elemento.style.border = "none";
        document.getElementById("q" + i).value = "";
    }
    document.getElementById("puntaje").innerHTML = "";
}
// ---------------------- funciones para juego de memoria ------------------------------
const conceptos = [
    { termino: "LinkedIn", imagen: "img/linkedin_card.png" },
    { termino: "Github", imagen: "img/github.png" },
    { termino: "SEO", imagen: "img/seo.png" },
    { termino: "Networking", imagen: "img/networking.png" }
];

let cartas = [...conceptos, ...conceptos];
cartas = cartas.sort(() => Math.random() - 0.5);
let seleccionadas = [];
let intentos = 0;
let parejasEncontradas = 0;

const tablero = document.getElementById("tablero");
const intentosSpan = document.getElementById("intentos");
const mensaje = document.getElementById("mensaje");

cartas.forEach((carta) => {
    const div = document.createElement("div");
    div.classList.add("carta");
    div.dataset.valor = carta.termino;
    
    const img = document.createElement("img");
    img.src = carta.imagen;
    div.appendChild(img);
    
    div.onclick = () => voltearCarta(div);
    tablero.appendChild(div);
});

function voltearCarta(carta) {
    if (seleccionadas.length < 2 && !carta.classList.contains("visible")) {
        carta.classList.add("visible");
        seleccionadas.push(carta);
    }
    if (seleccionadas.length === 2) {
        intentos++;
        intentosSpan.textContent = intentos;
        setTimeout(verificarPareja, 1000);
    }
}


function verificarPareja() {
    if (seleccionadas[0].dataset.valor === seleccionadas[1].dataset.valor) {
        seleccionadas.forEach(carta => carta.classList.add("encontrada"));
        parejasEncontradas++;
        if (parejasEncontradas === conceptos.length) {
            mensaje.textContent = " ✅✅¡Felicidades, has completado el juego! 👑👑";
            mensaje.classList.remove("oculto");
        }
    } else {
        seleccionadas.forEach(carta => carta.classList.remove("visible"));
    }
    seleccionadas = [];
}

