document.getElementById('comprobar-cuestionario').addEventListener('click', function() {
    const respuestasCorrectas = {
        q1: 'b',
        q2: 'b',
        q3: 'b',
        q4: 'b',
        q5: 'c',
        q6: 'a',
        q7: 'a',
        q8: ['LinkedIn', 'GitHub'],
        q9: 'a',
        q10: 'Google Alerts',
        q11: 'trabajos',
        q12: 'huellas'
    };

    const preguntas = document.querySelectorAll('.pregunta');
    let allAnswered = true;

    preguntas.forEach(pregunta => {
        const inputs = pregunta.querySelectorAll('input[type="radio"], input[type="text"], input[type="checkbox"], select');
        let answered = false;

        inputs.forEach(input => {
            if (input.type === 'radio' && input.checked) {
                answered = true;
            } else if (input.type === 'text' && input.value.trim() !== '') {
                answered = true;
            } else if (input.type === 'checkbox' && input.checked) {
                answered = true;
            } else if (input.tagName === 'SELECT' && input.value !== '') {
                answered = true;
            }
        });

        if (!answered) {
            allAnswered = false;
        }
    });

    if (!allAnswered) {
        alert('Por favor, responde todas las preguntas.');
    } else {
        let correctAnswers = 0;

        preguntas.forEach(pregunta => {
            const inputs = pregunta.querySelectorAll('input[type="radio"], input[type="text"], input[type="checkbox"], select');
            let respuestaSeleccionada = '';

            inputs.forEach(input => {
                if (input.type === 'radio' && input.checked) {
                    respuestaSeleccionada = input.value;
                } else if (input.type === 'text' && input.value.trim() !== '') {
                    respuestaSeleccionada = input.value.trim();
                } else if (input.type === 'checkbox' && input.checked) {
                    if (!respuestaSeleccionada) {
                        respuestaSeleccionada = [];
                    }
                    respuestaSeleccionada.push(input.value);
                } else if (input.tagName === 'SELECT' && input.value !== '') {
                    respuestaSeleccionada = input.value;
                }
            });

            const correcta = respuestasCorrectas[pregunta.querySelector('input, select').name];
            if (Array.isArray(correcta)) {
                if (JSON.stringify(respuestaSeleccionada.sort()) === JSON.stringify(correcta.sort())) {
                    pregunta.style.borderColor = 'green';
                    correctAnswers++;
                } else {
                    pregunta.style.borderColor = 'red';
                }
            } else if (respuestaSeleccionada.toLowerCase() === correcta.toLowerCase()) {
                pregunta.style.borderColor = 'green';
                correctAnswers++;
            } else {
                pregunta.style.borderColor = 'red';
            }
            pregunta.querySelector('.respuesta-correcta').style.display = 'block';
        });

        document.getElementById('comprobar-cuestionario').style.display = 'none';
        document.getElementById('reiniciar-cuestionario').style.display = 'block';
        document.getElementById('puntaje-cuestionario').innerText = `🎯 Puntuación: ${correctAnswers} / ${preguntas.length}`;
    }
});

document.getElementById('reiniciar-cuestionario').addEventListener('click', function() {
    const preguntas = document.querySelectorAll('.pregunta');
    preguntas.forEach(pregunta => {
        pregunta.style.borderColor = '#ccc';
        pregunta.querySelector('.respuesta-correcta').style.display = 'none';
        const inputs = pregunta.querySelectorAll('input[type="radio"], input[type="text"], input[type="checkbox"], select');
        inputs.forEach(input => {
            if (input.type === 'radio' || input.type === 'checkbox') {
                input.checked = false;
            } else if (input.type === 'text') {
                input.value = '';
            } else if (input.tagName === 'SELECT') {
                input.value = '';
            }
        });
    });

    document.getElementById('comprobar-cuestionario').style.display = 'block';
    document.getElementById('reiniciar-cuestionario').style.display = 'none';
    document.getElementById('puntaje-cuestionario').innerText = '';
});