document.addEventListener("DOMContentLoaded", () => {
    const tabs = document.querySelectorAll(".tab");
    const contents = document.querySelectorAll(".tab-content");

    function showTab(index) {
        tabs.forEach(t => t.classList.remove("active"));
        contents.forEach(c => c.classList.remove("active"));

        tabs[index].classList.add("active");
        contents[index].classList.add("active");
    }

    tabs.forEach((tab, index) => {
        tab.addEventListener("click", () => showTab(index));
    });

    showTab(0);

    // Modal
    const modal = document.getElementById("modal-bienvenida");
    const cerrarModal = document.getElementById("cerrar-modal");

    modal.style.display = "flex";

    cerrarModal.addEventListener("click", () => {
        modal.classList.add("hidden");
        setTimeout(() => modal.remove(), 500);
    });
});
document.addEventListener("DOMContentLoaded", () => {
    const subTabs = document.querySelectorAll(".sub-tab");
    const subTabContents = document.querySelectorAll(".sub-tab-content");

    function showSubTab(subTabId) {
        // Remueve la clase 'active' de todas las pestañas y contenido
        subTabs.forEach(tab => tab.classList.remove("active"));
        subTabContents.forEach(content => content.classList.remove("active"));

        // Activa la pestaña seleccionada y su contenido
        document.querySelector(`[data-subtab="${subTabId}"]`).classList.add("active");
        document.getElementById(subTabId).classList.add("active");
    }

    // Asignar evento de clic a cada subpestaña
    subTabs.forEach(tab => {
        tab.addEventListener("click", () => {
            const subTabId = tab.getAttribute("data-subtab");
            showSubTab(subTabId);
        });
    });

    // Mostrar por defecto el primer subtema
    showSubTab("subtema1");
});

